Bug 1260161 - [Appliance] Avoid asking about the cluster name if the user choose the automatic execution of engine setup
[Appliance] Avoid asking about the cluster name if the user choose the automa...
Status: CLOSED CURRENTRELEASE
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-3.6.0-rc
: 1.3.0
Assigned To: Simone Tiraboschi
Artyom
integration
: EasyFix, Triaged
Depends On:
Blocks: 1234915
  Show dependency treegraph
 
Reported: 2015-09-04 11:29 EDT by Simone Tiraboschi
Modified: 2015-12-22 08:27 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If the use chooses to deploy the engien VM from its appliance automatically running engine-setup there, there is just the default cluster by design so it's not worth to ask about that if we already know the only possible answer.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 08:27:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44733 ovirt-hosted-engine-setup-1.3 MERGED packaging: setup:avoid asking cluster name on automatic deployment Never
oVirt gerrit 45902 ovirt-hosted-engine-setup-1.3 MERGED packaging: setup:avoid asking cluster name on automatic deployment Never

  None (edit)
Description Simone Tiraboschi 2015-09-04 11:29:10 EDT
Description of problem:
On regular hosted-engine-setup, when the engine is up, it download the list of available clusters from the engine REST API and it asks the user to specify one of that.
If the user choose the automatic execution of engine setup we can simply avoid this step making it a bit simpler cause we already know that only the default cluster will be there.

How reproducible:
100%

Steps to Reproduce:
1. Deploy hosted-engine using the appliance
2. Choose the automatic execution of engine-setup on the appliance
3.

Actual results:
It asks about the cluster name but we know for sure that only the default one will be there.

Expected results:
We can skip the question

Additional info:
Comment 1 Artyom 2015-12-07 09:56:11 EST
Verified on ovirt-hosted-engine-setup-1.3.1.1-1.el7ev.noarch
Comment 2 Sandro Bonazzola 2015-12-22 08:27:24 EST
oVirt 3.6.0 has been released and the bz verified, moving to closed current release.

Note You need to log in before you can comment on or make changes to this bug.